package infopipes.examples;

import infopipes.pipes.BasePhysicalPipe;
import infopipes.pipes.LogicalPipe;
import infopipes.utils.Port;

public class DuplicatePhysicalPipePPN extends BasePhysicalPipe {
	LogicalPipe logical;
	Port in, out0;
	
	public DuplicatePhysicalPipePPN() {
		logical = new DuplicateLogicalPipe();
	}

	public void connected() {
		final int inIndex = logical.inportIndex("in");
		final int out0Index = logical.outportIndex("out0");
		
		if (!upstream.containsKey(inIndex))
			throw new RuntimeException();
		if (!downstream.containsKey(out0Index))
			throw new RuntimeException();
		in = upstream.get(inIndex);
		out0 = downstream.get(out0Index);
		logical = null;
	}

	@Override
	public Object pull(int index) {
		if (index == 2) {
			Object packet;
			packet = in.pull();
			out0.push(packet);
			return packet;
		}
		throw new RuntimeException();
	}
}
