package infopipes.examples;

import infopipes.pipes.BasePhysicalPipe;
import infopipes.pipes.LogicalPipe;
import infopipes.utils.Port;

public class PullSinkPhysicalPipeP extends BasePhysicalPipe {
	LogicalPipe logical;
	Port in;

	public PullSinkPhysicalPipeP() {
		logical = new PullSinkLogicalPipe();
	}

	public void connected() {
		final int inIndex = logical.inportIndex("in");
		
		if (!upstream.containsKey(inIndex))
			throw new RuntimeException();
		in = upstream.get(inIndex);
		logical = null;
	}

	public Object doPull() {
		return in.pull();
	}
}
