package infopipes.examples;

import infopipes.pipes.BasePhysicalPipe;
import infopipes.pipes.LogicalPipe;
import infopipes.utils.Port;

public class PushSourcePhysicalPipeP extends BasePhysicalPipe {
	LogicalPipe logical;
	Port out;
	
	public PushSourcePhysicalPipeP() {
		logical = new PushSourceLogicalPipe(); 
	}

	public void connected() {
		final int outIndex = logical.outportIndex("out");
		
		if (!downstream.containsKey(outIndex))
			throw new RuntimeException();
		out = downstream.get(outIndex);
		logical = null;
	}

	public void doPush(Object packet) {
		out.push(packet);
	}
}
