package infopipes.utils;

import java.util.Arrays;

public class PolarityConfig {
	public final Polarity[] content;

	public PolarityConfig(Polarity[] config) {
		content = config; 
	}

	@Override
	public int hashCode() {
		final int PRIME = 31;
		int result = 1;
		result = PRIME * result + Arrays.hashCode(content);
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (obj instanceof Polarity[]) {
			final Polarity[] content = (Polarity[]) obj;
			return Arrays.equals(this.content, content);
		}
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		final PolarityConfig other = (PolarityConfig) obj;
		return Arrays.equals(content, other.content);
	}
}
