package infopipes.utils;

import infopipes.pipes.PhysicalPipe;

public class Port {
	public final PhysicalPipe pipe;
	public final int index;
	
	public Port(PhysicalPipe pipe, int index) {
		this.pipe = pipe;
		this.index = index;
	}
	
	public void push(Object packet) {
		pipe.push(index, packet);
	}
	
	public Object pull() {
		return pipe.pull(index);
	}
}
