package infopipes.examples;

import infopipes.pipes.BaseLogicalPipe;
import infopipes.pipes.PhysicalPipe;
import infopipes.utils.Polarity;
import infopipes.utils.PolarityConfig;

public class PullSinkLogicalPipe extends BaseLogicalPipe {
	static Polarity[] config0 = { Polarity.P };

	public PullSinkLogicalPipe() {
		inports.put("in", 0);
		configs.add(config0);
	}

	@Override
	public PhysicalPipe instantiate(PolarityConfig config) {
		if (config.equals(config0))
			return new PullSinkPhysicalPipeP();
		throw new RuntimeException();
	}
}
