package infopipes.examples;

import infopipes.pipes.BaseLogicalPipe;
import infopipes.pipes.PhysicalPipe;
import infopipes.utils.Polarity;
import infopipes.utils.PolarityConfig;

public class PullSourceLogicalPipe extends BaseLogicalPipe {
	static Polarity[] config0 = { Polarity.N };

	public PullSourceLogicalPipe() {
		outports.put("out", 0);
		configs.add(config0);
	}

	@Override
	public PhysicalPipe instantiate(PolarityConfig config) {
		if (config.equals(config0))
			return new PullSourcePhysicalPipeN();
		throw new RuntimeException();
	}
}
