package infopipes.utils;

import java.util.HashSet;
import java.util.Set;

public class PipePortSet extends HashSet<PipePort> {
	public void addPortSpecs(String name, Set<String> ports) {
		for (String portName : ports)
			this.add(new PipePort(name, portName));
	}
	
	public void assertHave(PipePort port) {
		if (!contains(port))
			throw new RuntimeException();
	}
	
	public void assertEmpty() {
		if (!isEmpty())
			throw new RuntimeException();
	}
}
