package infopipes.utils;

public enum Polarity {
	P, N, Unconstrained;
	
	public Polarity invert() {
		if (this.equals(P))
			return N;
		else if (this.equals(N))
			return P;
		return this;
	}

	public boolean isUnconstrained() {
		return this.equals(Unconstrained);
	}
}
